Last Comment Bug 696181 - Properties disabled in the css rule view should not be lost
: Properties disabled in the css rule view should not be lost
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: 9 Branch
: x86 Mac OS X
: P1 normal (vote)
: Firefox 10
Assigned To: Dave Camp (:dcamp)
:
:
Mentors:
Depends on: 693887
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-20 12:43 PDT by Dave Camp (:dcamp)
Modified: 2011-11-07 14:57 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
WIP 1 (4.24 KB, patch)
2011-11-04 16:24 PDT, Dave Camp (:dcamp)
rcampbell: feedback+
Details | Diff | Splinter Review
v1 (10.34 KB, patch)
2011-11-06 19:43 PST, Dave Camp (:dcamp)
rcampbell: review+
Details | Diff | Splinter Review

Description Dave Camp (:dcamp) 2011-10-20 12:43:33 PDT
1) Highlight node A
2) Disable a css property
3) Highlight node B
4) Highlight node A

The disabled css property is gone.  It should still be available.
Comment 1 Dave Camp (:dcamp) 2011-11-04 16:24:18 PDT
Created attachment 572121 [details] [diff] [review]
WIP 1

Attached patch saves disabled properties in the inspector store, but the inspector store doesn't last the lifetime of the window, just as long as the store.

Still needs tests.
Comment 2 Dave Camp (:dcamp) 2011-11-04 16:46:34 PDT
Would it make sense for the inspector store to have page-lifetime instead of inspector-is-open lifetime?
Comment 3 Rob Campbell [:rc] (:robcee) 2011-11-05 07:20:28 PDT
the InspectorStore's used to restore the Highlighter state on tab switch. I guess it currently has an "inspector-is-open lifetime". Changing that to page-lifetime might get a bit weird and might change some of the restore behavior.

That feels like it could add a fair bit of complexity to managing the InspectorStore. I'd have to see an implementation, I guess.
Comment 4 Rob Campbell [:rc] (:robcee) 2011-11-05 07:22:32 PDT
Comment on attachment 572121 [details] [diff] [review]
WIP 1

looking good.
Comment 5 Dave Camp (:dcamp) 2011-11-06 19:43:57 PST
Created attachment 572379 [details] [diff] [review]
v1

Adds a (somewhat grody) test.
Comment 6 Rob Campbell [:rc] (:robcee) 2011-11-07 05:12:19 PST
Comment on attachment 572379 [details] [diff] [review]
v1

looks good. As for the test, I've seen grodier.
Comment 8 Rob Campbell [:rc] (:robcee) 2011-11-07 14:57:00 PST
https://hg.mozilla.org/mozilla-central/rev/c465f6d67aa9

Note You need to log in before you can comment on or make changes to this bug.